Bug 186809 - two repos containing identical section names in their definition files cannot be list in repository window
two repos containing identical section names in their definition files cannot...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 13:59 EST by Claude Jones
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 01:45:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Claude Jones 2006-03-26 13:59:46 EST
Description of problem:
When two .repo files use the same name in brackets to describe a section such as
"[base]", Yumex will only list one of the repos in the repository window - for
example, adding repos from blag linux (a Fedora derivative enhanced for video
editors), the name in brackets for the core repo is "base", the same name the
Fedora repo file uses in that section. The result in my case was that Yumex
would only list the blag linux repo in the repo list window

Version-Release number of selected component (if applicable):
99.3

How reproducible:
behaved exactly the same way on three different machines

Steps to Reproduce:
1. Enter two repo files in yum.repos.d that use the same names within the
brackets that define sections of the repository
2.
3.
  
Actual results:
Only one repository containing the identical section name will wind up being
listed in the repository list window

Expected results:
would expect Yumex to be able to list the two repos, somehow

Additional info:
work-around was to rename the sections of the blag repos to "blag-base",
"blag-extras" etc...
Comment 1 Tim Lauridsen 2006-03-27 01:45:06 EST
Section names has to be unique, it is the way yumex & yum is designed to work.
So you must rename the sections.

Note You need to log in before you can comment on or make changes to this bug.